<?php
class OrderReturnMotive extends ObjectModel
{
	/** @var string Name */
	public 		$name;
	
	/** @var string Display state in the specified color */
	public		$color;
	protected 	$fieldsValidate = array('color' => 'isColor');
	protected 	$fieldsRequiredLang = array('name');
 	protected 	$fieldsSizeLang = array('name' => 64);
 	protected 	$fieldsValidateLang = array('name' => 'isGenericName');
	protected $table = 'order_return_motive';
	protected $identifier = 'id_order_return_motive';

public function getFields()
	{
		parent::validateFields();
		$fields['color'] = pSQL($this->color);
		return $fields;
	}

/**
	* Check then return multilingual fields for database interaction
	*
	* @return array Multilingual fields
	*/
	public function getTranslationsFieldsChild()
	{
		parent::validateFieldsLang();
		return parent::getTranslationsFields(array('name'));
	}
	


}
?>



